import std.cstream, std.string;

void main()
{
	while (!din.eof)
	{
		auto line = din.readLine();
		if (line.find("<big>class") != -1)
		{
			auto className = line.split("<u>")[1].split("</u>")[0];
			dout.writeLine(
				line.replace("<big>class", `<big><a name="` ~ className ~ `">class`)
				~ "</a>"
			);
		}
		else if (line.find("<big>struct") != -1)
		{
			auto structName = line.split("<u>")[1].split("</u>")[0];
			dout.writeLine(
				line.replace("<big>struct", `<big><a name="` ~ structName ~ `">struct`)
				~ "</a>"
			);
		}
		else dout.writeLine(line);
	}
}
